be.fgov.ehealth.mycarenet.attest.protocol.v3

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.mycarenet.attest.protocol.v3.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.mycarenet.attest.protocol.v3 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.mycarenet.attest.protocol.v3

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JAXBElement<SendRequestType>` | `createCancelAttestationRequest(SendRequestType value)` Create an instance of `JAXBElement``<``SendRequestType``>`
    `JAXBElement<SendResponseType>` | `createCancelAttestationResponse(SendResponseType value)` Create an instance of `JAXBElement``<``SendResponseType``>`
    `JAXBElement<SendRequestType>` | `createSendAttestationRequest(SendRequestType value)` Create an instance of `JAXBElement``<``SendRequestType``>`
    `JAXBElement<SendResponseType>` | `createSendAttestationResponse(SendResponseType value)` Create an instance of `JAXBElement``<``SendResponseType``>`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.mycarenet.attest.protocol.v3

  - ### Method Detail

    - #### createSendAttestationRequest

          public JAXBElement<SendRequestType> createSendAttestationRequest(SendRequestType value)

      Create an instance of `JAXBElement``<``SendRequestType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``SendRequestType``>`

    - #### createSendAttestationResponse

          public JAXBElement<SendResponseType> createSendAttestationResponse(SendResponseType value)

      Create an instance of `JAXBElement``<``SendResponseType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``SendResponseType``>`

    - #### createCancelAttestationRequest

          public JAXBElement<SendRequestType> createCancelAttestationRequest(SendRequestType value)

      Create an instance of `JAXBElement``<``SendRequestType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``SendRequestType``>`

    - #### createCancelAttestationResponse

          public JAXBElement<SendResponseType> createCancelAttestationResponse(SendResponseType value)

      Create an instance of `JAXBElement``<``SendResponseType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``SendResponseType``>`

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.